package com.huimv.datacollection.tcp;



import java.io.*;
import java.net.Socket;
import java.text.ParseException;

/**
 * @author yinhao
 * @version 1.0
 * @date 2021/07/07 17:32
 */
public class ServerThread extends Thread {

    private Socket socket;

    private IClientDataPacketService iClientDataPacketService;

    public ServerThread(Socket socket, IClientDataPacketService iClientDataPacketService) {
        this.socket = socket;
        this.iClientDataPacketService = iClientDataPacketService;
    }

    @Override
    public void run() {
        InputStream inputStream = null;
        InputStreamReader inputStreamReader = null;
        BufferedReader bufferedReader = null;
        OutputStream outputStream = null;
        PrintWriter printWriter = null;

        try {

            // server接收消息
            inputStream = socket.getInputStream();
            byte[] b = new byte[1024];
            inputStream.read(b);
            String packet = new String(b);
            packet = packet.trim();

            // 处理数据包
//             String ss = iClientDataPacketService.handleClientSendPacket(packet);
             iClientDataPacketService.interfaceTest();

//            outputStream = socket.getOutputStream();
//            outputStream.write(ss.getBytes());
//            socket.shutdownInput();

        } catch (IOException | ParseException e) {
            e.printStackTrace();
        } finally {
            // 关闭资源
            try {

                if (printWriter != null) {
                    printWriter.close();
                }
                if (outputStream != null) {
                    outputStream.close();

                }
                if (bufferedReader != null) {
                    bufferedReader.close();
                }
                if (inputStreamReader != null) {
                    inputStreamReader.close();
                }
                if (inputStream != null) {
                    inputStream.close();
                }
                if (socket != null) {
                    socket.close();
                }
            } catch (IOException e) {
                e.printStackTrace();
            }
        }
    }
}
